Share this page

# Internet Protocol Preferences

This section describes Internet protocol preferences.

In this topic:

## About Internet protocol preferences

You use the Internet Protocol Preferences runtime settings to control the Vusers in the following areas:

- Image and Text Checks

- Generating Web Performance Graphs

- Advanced Web Runtime Options

- Additional Options for Internet Preferences

This node is only available for specific protocols. When you open the Runtime Settings, only the relevant nodes are displayed.

Back to top

## Configure Internet protocol preferences

The following nodes are available according to the specific protocol you are using: HTTP, General, Authentication, Logging, JavaScript, Click & Script Preferences.

The user interface elements are described below.

UI Elements | Description
--- | ---
Checks | Enable image and text checks. Allows the Vuser to perform verification checks during replay by running the verification functions web_find or web_image_check. This option only applies to statements recorded in HTML-based mode. Vusers running with verification checks use more memory than Vusers that do not perform checks. Default value: Unavailable.
Web Performance Graph Generation | Instructs a Vuser to collect data for Web Performance graphs. You view the Hits per Second, Pages per Second, and Response Bytes per Second (Throughput) graphs during a test running using the online monitors and after a test run using Analysis. You view the Component Breakdown graph after a test run using Analysis. Select the types of graph data for the Vuser to collect. Note: If you do not use the Web performance graphs, deactivate these options to conserve memory.
Advanced | Use WinINet replay instead of Sockets (Windows only). Instructs VuGen to use the WinINet replay engine instead of the standard Sockets replay. VuGen has two HTTP replay engines: Sockets-based (default) or WinINet based. The WinINet is the engine used by Internet Explorer and it supports all of the features incorporated into the IE browser. The limitations of the WinINet replay engine are that it is not scalable and does not support Linux. In addition, when working with threads, the WinINet engine does not accurately emulate the modem speed and number of connections. VuGen's proprietary sockets-based replay is a lighter engine that is scalable for performance testing. It is also accurate when working with threads. The limitation of the sockets-based engine is that it does not support SOCKS proxy. If you are recording in that type of environment, use the WinINet replay engine. Default value: Unavailable (socket-based replay engine). Include File name and line in automatic transaction names. Creates unique transaction names for automatic transactions by adding file name and line number to the transaction name. List non-critical resource errors as warnings. Returns a warning status for a function which failed on an item that is not critical for performance testing, such as an image or Java applet that failed to download. This option is enabled by default. If you want a specific warning to be considered an error and fail your test, you can deactivate this option. You can set a content-type to be critical by adding it to the list of Non-Resources. For details, see the OpenText Virtual User Generator Help Center. Save snapshot resources locally. Saves the snapshot resources to files on the local machine.

HTTP

UI Elements | Description
--- | ---
HTTP version | Specifies which version HTTP to use: version 1.0 or 1.1. This information is included in the HTTP request header whenever a Vuser sends a request to a web server. HTTP 1.1 supports the following features: Persistent Connections. For details, see "Keep-Alive HTTP connections" below. HTML compression. For details, see Accept Server-Side Compression below. Virtual Hosting. Multiple domain names sharing the same IP address.
Keep-Alive HTTP connections | Keep-alive is a term used for an HTTP extension that allows persistent or continuous connections. These long-lived HTTP sessions allow multiple requests to be sent over the same TCP connection. This improves the performance of the web server and clients. The keep-alive option works only with web servers that support keep-alive connections. This setting specifies that all Vusers that run the Vuser script have keep-alive HTTP connections enabled. Default value: enabled.
Include Accept-Language request header | Provides a comma-separated list of accepted languages. For example, en-us or fr. For details, see the OpenText Virtual User Generator Help Center.
Mark HTTP errors as warnings | Issues a warning instead of an error on failing to download resources due to an HTTP error.
HTTP-request connect timeout (sec) | The time, in seconds, that a Vuser waits for the connection of a specific HTTP request within a step before timing out. Timeouts provide an opportunity for the server to stabilize and respond to the user. Maximum value: 32000 seconds.
HTTP-request receive timeout (sec) | The time, in seconds, that a Vuser waits to receive the response of a specific HTTP request within a step before timing out. Timeouts provide an opportunity for the server to stabilize and respond to the user. Maximum value: 32000 seconds.
HTTP Keep-Alive timeout (sec) | A time limit within which some activity must be performed on an HTTP connection. If this timeout is reached, the connections is closed during replay.
Request zlib headers | Sends request data to the server with the zlib compression library headers. By default, requests sent to the server include the zlib headers. This option lets you emulate non-browser applications that do not include zlib headers in their requests. Default value: Enabled.
Accept server-side compression | Indicate to the server that the replay can accept compressed data. The available options are: None (no compression), gzip (accept gzip compression), gzip, deflate (accept gzip or deflate compression), and deflate (accept deflate compression). Note that by accepting compressed data, you may significantly increase the CPU consumption. Default value: Accept gzip and deflate compression. To manually add compression, enter the following function at the beginning of the script: `web_add_auto_header("Accept-Encoding", "gzip");` To verify that the server sent compressed data, search for the string Content -Encoding: gzip in the section of the server's responses of the replay log. The log also shows the data size before and after decompression.
Delete unreferenced cache entries | Delete cache entries that have not been referenced within the specified number of iterations. Set to zero (0) to never delete cache entries.

General

UI Elements | Description
--- | ---
Enable snapshots during replay | Create snapshots during replay. Note: Deactivating replay snapshots improves the replay speed. However, snapshot-dependent features such as DFE and correlations, are unable to use data captured during the replay. This may cause unstable behavior.
DNS caching | Instructs the Vuser to save a host's IP addresses to a cache after resolving its value from the Domain Name Server. This saves time in subsequent calls to the same server. In situations where the IP address changes, as with specific load balancing techniques, be sure to deactivate this option to prevent Vuser from using the value in the cache. Default value: enabled.
Convert to/from UTF-8 | Converts received HTML pages and submitted data from and to UTF-8. You enable UTF-8 support in the recording options. For details, see the OpenText Virtual User Generator Help Center.
Charset to use for converting HTML | The character set to use to convert received HTMLs and submitted data from/to the set charset. This option is ignored if you enabled the previous option, \'Convert to/from UTF-8\'.
Mark step timeouts caused by resources as a warning | Issues a warning instead of an error when a timeout occurs due to a resource that did not load within the timeout interval. For non-resources, VuGen issues an error. Default value: Unavailable.
Parse HTML content-type | When expecting HTML, parse the response only when it is the specified content-type: HTML, text\html, TEXT any text, or ANY, any content-type. Note that text/xml is not parsed as HTML. Default value: TEXT.
Step download timeout (sec) | The time that the Vuser waits before ending a step in the script. This option can be used to emulate a user behavior of not waiting for more than x seconds for a page. Maximum value: 32000 seconds. The timeout settings are primarily for advanced users who have determined that acceptable timeout values should be different for their environment. The default settings should be sufficient in most cases. If the server does not respond in a reasonable amount of time, check for other connection-related issues, rather than setting a long timeout which could cause the scripts to wait unnecessarily.
Network buffer size | Sets the maximum size of the buffer used to receive the HTTP response. If the size of the data is larger than the specified size, the server sends the data in chunks, increasing the overhead of the system. When running multiple Vusers from the Controller, every Vuser uses its own network buffer. This setting is primarily for advanced users who have determined that the network buffer size may affect their script's performance. The default is 12K bytes. The maximum size is 0x7FFF FFFF.
Print NTLM information | Print information about the NTLM handshake to the standard log.
Print SSL information | Print information about the SSL handshake to the standard log.
Maximum number of failure-matches to list as errors | Limit the number of content-check failures that are issued as errors, where a failure is indicated by the appearance of a string (Fail=Found). This applies to match criteria using a left and right boundary. All subsequent matches are listed as informational messages. The default is 10. Default value: 10 matches.
Maximum redirection depth | The maximum number of allowed redirections. Default value: 10.
Maximum number of 'META Refresh' on a single page | The maximum number of times that a META refresh can be performed per page. Default value: 2.
Convert ContentCheck values to UTF-8 | Store the values in the ContentCheck XML file in UTF-8. Default value: Unavailable.
Limit the Tree view request body to | Limit the number of request body bytes displayed in Tree-View. Set to zero (0) for no limit.
Limit the stored snapshot to | Limit the size of each snapshot file to a specific number of kilobytes. Enter 0 to indicate no limit.
IP version | The IP version to be used: IPv4, IPv6 or automatic selection. The default value is IPv4.
web_sync retry interval | The time to wait (in milliseconds) between testing the condition that yields false and the next retry. The default value is 1000.
web_sync retry timeout | The maximum time (in milliseconds) during which retries are allowed. If the computed timeout exceeds the step timeout (as determined by the 'Step download timeout' setting), the latter is used.
WebSocket callback interval | The time interval in milliseconds, before repeating a call to a WebSocket callback handler. This must be a non-zero value.
Prefetch and prerender callback timer interval | The time interval in milliseconds, before repeating a call to Prefetch and Prerender callback handlers. This must be a non-zero value.

Authentication

UI Elements | Description
--- | ---
Add a fixed delay upon authentication | Automatically adds think time to the Vuser script for emulating a user entering authentication information (username and password). This think time is included in the transaction time. Default value: 0.
Disable NTLM2 session security | Use full NTLM 2 handshake security instead of the more basic NTLM 2 session security response. Default value: No.
Use the native Windows NTLM implementation | Use the Microsoft Security API for NTLM authentication instead of the indigenous one. Default value: No.
Override credentials in a Windows native NTML implementation | Use the credentials provided by the user at logon.
Enable integrated authentication | Enable Kerberos-based authentication. When the server proposes authentication schemes, use Negotiate in preference to other schemes. Default value: No.
Induce heavy KDC load | Do not reuse credentials obtained in previous iterations. Enabling this setting increases the load on the KDC (Key Distribution Server). To reduce the load on the server, set this option to Yes to reuse the credentials obtained in previous iterations. This option is only relevant when Kerberos authentication is used. Default value: No.
Use canonical name in SPN | Use the canonical name instead of the original hostname retrieved from the URL, to generate SPN (Service Principal Name). Default value: Yes.
Append non-default port to SPN | Append the port number to the SPN, if the specified port is a non-standard one (neither 80 nor 443). Default value: No.
Enable retrieving keys from nCipher HSM | Enables private keys to be retrieved from the nCipher HSM (Hardware Security Module). This option loads and initializes the CHIL engine necessary to retrieve these keys. Default value: Yes.

Logging

UI Elements | Description
--- | ---
Print buffer line length | Line length for printing request/response header/body and/or JavaScript source, deactivating wrapping.
Print buffer escape for binary zeros only | Yes. Escape only binary zeros when printing request/response headers/body and/or JavaScript source. No. Escape any unprintable/control characters.
Limit the maximum response size written to the log | Limits the size of the log containing the response data.

JavaScript

UI Elements | Description
--- | ---
Enable running JavaScript code | Enable running Web JavaScript steps, such as web_js_run() and web_js_reset(). This option creates a JavaScript runtime engine even if there are no JavaScript steps in the script.
JavaScript Engine runtime size | The memory size in kilobytes, to allocate for the JavaScript engine runtime. One runtime engine is created for all Vusers in a process.
JavaScript Engine stack size per thread | The memory size in kilobytes, to allocate for each Vuser thread in the JavaScript engine.

Click & Script Preferences

UI Elements | Description
--- | ---
General | Home Page URL. The URL of the home page that opens with your browser (default is about:blank). DOM-based snapshots. Instructs VuGen to generate snapshots from the DOM instead of from the server responses. Default value: Yes. Charset conversions by HTTP. Perform charset conversions by the `Content-Type:....; charset=...' HTTP response header. Overrides `Convert from /to UTF-8.' Reparse when META changes charset. Reparse HTML when a META tag changes the charset. Effective only when Charset conversions by HTTP is enabled. Auto means reparsing is enabled only if it used in the first iteration. Fail on JavaScript error. Fails the Vuser when a JavaScript evaluation error occurs. Default value: No (issue a warning message only after a JavaScript error, but continue to run the script). Initialize standard classes for each new window project. When enabled, the src compiled script is not cached. Ignore acted on element being disabled. Ignore the element acted on by a Vuser script function being deactivated.
Timers | Optimize timers at end of step. When possible, runs a setTimeout/setInterval/<META refresh> that expires at the end of the step before the expiration time Default value: Yes. Single setTimeout/setInterval threshold (seconds). Specifies an upper timeout for the window.setTimeout and window.setInterval methods. If the delay exceeds this timeout, these methods do not invoke the functions that are passed to them. This emulates a user waiting a specified time before clicking on the next element. Default value: 5 seconds. Accumulative setTimeout/setInterval threshold (seconds). Specifies a timeout for the window.setTimeout and window.setInterval methods. If the delay exceeds this timeout, additional calls to window.setTimeout and window.setInterval are ignored. The timeout is accumulative per step. Default value: 30 seconds. Reestablish setInterval at end of step.0 = No; 1 = Once; 2 = Yes. Limit no-network timers at end of step: Limit the number of setTimeout/setInterval specified script evaluations at the end of a step when no network requests are issued. Set to zero (0) for no limit. The default value is 100. This limit is only used when 'Optimize timers at end of step' is enabled.
History | History support. Enables support for the window.history object for the test run. The options are Enabled, Disabled, and Auto. The Auto option instructs Vusers to support the window.history object only if it was used in the first iteration. Note that by deactivating this option, you improve performance. Default value: auto. Maximum history size. The maximum number of steps to keep in the history list. Default value: 100 steps.
Navigator Properties | navigator.browserLanguage. The browser language set in the navigator DOM object's browserLanguage property. Default value: The recorded value. Scripts created with older recording engines use en-us by default. navigator.systemLanguage. The system language set in the navigator DOM object's systemLanguage property. Default value: The recorded value. Scripts created with older recording engines use en-us by default. navigator.userLanguage. The user language set in the navigator DOM object's userLanguage property. Default value: The recorded value. Scripts created with older recording engines use en-us by default.
Screen Properties | screen.width Sets the width property of the screen DOM object in pixels. Default value: 1024 pixels. screen.height Sets the height property of the screen DOM object in pixels. Default value: 768 pixels. screen.availWidth Sets the availWidth property of the screen DOM object in pixels. Default value: 1024 pixels. screen.availHeight. Sets the availHeight property of the screen DOM object in pixels. Default value: 768 pixels.
Memory Management | Default block size for DOM memory allocations. Sets the default block size for DOM memory allocations. If the value is too small, it may result in extra calls to malloc, slowing the run times. Too large a block size, may result in an unnecessarily big footprint. Default value: 16384 bytes. Memory Manager for dynamically-created DOM objects. Enter one of the following values: Yes. Use the Memory Manager for dynamically-created DOM objects. No. Do not use the Memory Manager, for example when multiple DOM objects are dynamically created in the same document as under SAP. Auto. Use the protocol recommended (default Yes for all protocols except for SAP). JavaScript Runtime memory size (KB). Specifies the size of the JavaScript runtime memory in kilobytes. Default value: 256 KB. JavaScript Stack memory size (KB). Specifies the size of the JavaScript stack memory in kilobytes. Default value: 32 KB.
Web Javascript | Enable running Javascript code. Enter one of the following values: Yes. Enables running web Javascript steps, such as web_js_run() and web_js_reset(). No. Web Javascript steps can not be run. Note that enabling this option causes the creation of a Javascript Engine Runtime, even if there are no Javascript steps in the script. Default value: No Javascript Engine runtime size (KB). Specifies the size of the Javascript Engine Runtime memory in kilobytes. One Runtime is created for all Vusers in a process. Default value: 10240 KB Javascript Engine stack size per-thread (KB). Specifies the size of each Vuser thread in the Javascript Engine memory, in kilobytes. Default value: 32 KB

Back to top

See also:

- Configure runtime settings

https://admhelp.microfocus.com Enterprise Performance Engineering,LoadRunner Enterprise 8942
Tips to improve your search results...OpenText™ Enterprise Performance Engineering Help Center OpenText™ Enterprise Performance Engineering Help 26.1 All View Local Help Center View Online Help Center Version: